Bug 453935 - libpreludedb-perl not built for perl 5.10.0
libpreludedb-perl not built for perl 5.10.0
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libpreludedb (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9_5.10_REBUILD
  Show dependency treegraph
 
Reported: 2008-07-03 07:35 EDT by Paul Howarth
Modified: 2008-07-15 08:20 EDT (History)
0 users

See Also:
Fixed In Version: 0.9.14.1-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 08:20:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to add perl(:MODULE_COMPAT...) dependency and fix most rpmlint complaints (3.05 KB, patch)
2008-07-03 07:35 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Paul Howarth 2008-07-03 07:35:25 EDT
The F-9 package of libpreludedb-perl has modules in "perl 5.8.8" paths,
which are not found by F-9's perl 5.10.0. The package therefore needs rebuilding
for perl 5.10.0.

There was a mass rebuild of perl packages late in the F-9 development period but
this package missed out on it, possibly because it is missing a perl version
"module compat" dependency and hence didn't have broken deps when perl was
upgraded to 5.10.0.
Comment 1 Paul Howarth 2008-07-03 07:35:26 EDT
Created attachment 310912 [details]
Patch to add perl(:MODULE_COMPAT...) dependency and fix most rpmlint complaints
Comment 2 Paul Howarth 2008-07-04 11:41:42 EDT
Slight typo in the patch from Comment #1:

%{_lib} should read: /%{_lib}
Comment 3 Steve Grubb 2008-07-04 14:23:03 EDT
Thanks for the patch. libpreludedb-0.9.14.1-4 was built to resolve this issue.
Comment 4 Fedora Update System 2008-07-04 14:24:46 EDT
libpreludedb-0.9.14.1-3.fc9 has been submitted as an update for Fedora 9
Comment 5 Fedora Update System 2008-07-06 02:17:51 EDT
libpreludedb-0.9.14.1-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libpreludedb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6165
Comment 6 Fedora Update System 2008-07-15 08:20:39 EDT
libpreludedb-0.9.14.1-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.